# Uses of Interface
java.lang.classfile.constantpool.ConstantDynamicEntry

Packages that use ConstantDynamicEntry
Package
Description
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of ConstantDynamicEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return ConstantDynamicEntry
Modifier and Type
Method
Description
`ConstantDynamicEntry`
ConstantPoolBuilder.`constantDynamicEntry(BootstrapMethodEntry bootstrapMethodEntry, NameAndTypeEntry nameAndType)`
Returns a `ConstantDynamicEntry` referring to a `BootstrapMethodEntry` and a `NameAndTypeEntry`.
`default ConstantDynamicEntry`
ConstantPoolBuilder.`constantDynamicEntry(DynamicConstantDesc<?> dcd)`
Returns a `ConstantDynamicEntry` describing the dynamic constant as the provided `DynamicConstantDesc`.